%define upstream_name    Dist-Zilla-Plugin-Git-DescribeVersion
%define upstream_version 1.004

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Provide version using git-describe
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 4.0.0
BuildRequires: perl(Dist::Zilla::Role::VersionProvider)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Git::DescribeVersion)
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::MockObject) >= 1.90.0
BuildRequires: perl(Test::MockObject::Extends) >= 1.90.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This does the the Dist::Zilla::Role::VersionProvider manpage role. It uses
the Git::DescribeVersion manpage to count the number of commits since the
last tag (matching _match_pattern_) or since the initial commit, and uses
the result as the _version_ parameter for your distribution.

The plugin accepts the same options as Git::DescribeVersion/new. See the
Git::DescribeVersion/OPTIONS manpage.

You can also set the 'V' environment variable to override the new version.
This is useful if you need to bump to a specific version. For example, if
the last tag is 0.005 and you want to jump to 1.000 you can set V = 1.000.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%install
%make_install

%check
%__make test

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Mar 29 2023 daviddavid <daviddavid> 1.4.0-11.mga9
+ Revision: 1950754
- fix testsuite building with -j1
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.4.0-10.mga8
+ Revision: 1494303
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.4.0-9.mga7
+ Revision: 1267527
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.4.0-8.mga6
+ Revision: 1026207
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.4.0-7.mga6
+ Revision: 949086
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.4.0-6.mga5
+ Revision: 789008
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.4.0-5.mga5
+ Revision: 740291
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.4.0-3.mga4
+ Revision: 511006
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.4.0-2.mga3
+ Revision: 366178
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 1.4.0-1.mga3
+ Revision: 286091
- update to 1.004
+ jquelin <jquelin>
- update to 1.003

* Mon Mar 14 2011 jquelin <jquelin> 1.1.11-1.mga1
+ Revision: 71192
- imported package perl-Dist-Zilla-Plugin-Git-DescribeVersion


* Mon Mar 14 2011 cpan2dist 1.001011-1mga
- initial mageia release, generated with cpan2dist
